Subject: Re: [bug#73769] [PATCH] automake: distribute local gnulib directory modules

From: Collin Funk <[email-masked]>
Date: Sat, 12 Oct 2024 15:12:59 -0700

Hi Karl,

Karl Berry <[email-masked]> writes:

> What do others think? Bruno, would you mind taking a look at Michael's
> message? https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73769

I'm not Bruno, but I feel like I know a bit about gnulib-tool. :)

I disagree with the patch since it doesn't work for every package that
uses Gnulib. Specifically, it assumes the Makefile name 'gnulib.mk'
which is used by Coreutils.

In Coreutils' bootstrap.conf file we have:

gnulib_tool_option_extras="--tests-base=gnulib-tests --with-tests --symlink\
 --makefile-name=gnulib.mk --automake-subdir
"

The --makefile-name option is explained in gnulib-tool --help:

    --makefile-name=NAME  Name of makefile in the source-base and tests-base
                          directories (default "Makefile.am", or
                          "Makefile.in" if --gnu-make).

> Wouldn't it be cleaner if the packages that use gnulib take care to
> include the gl/modules directory (and anything else needed)? Just like
> anything else.

This would be the correct way to do it, in my opinion.

Collin